Alerta de Segurança Debian

DSA-350-1 falconseye -- buffer overflow

Data do Alerta:
15 Jul 2003
Pacotes Afetados:
falconseye
Vulnerável:
Sim
Referência à base de dados de segurança:
Na base de dados do BugTraq (na SecurityFocus): ID BugTraq 6806.
No dicionário CVE do Mitre: CVE-2003-0358.
Informações adicionais:

O pacote falconseye é vulnerável a um buffer overflow explorável atráves de um parâmetro longo para a opção '-s' da linha de comando. Esta vulnerabilidade pode ser usada por um atacante para obter o gid 'games' em um sistema no qual o falconseye está instalado.

Note que o falconseye não contém o erro de permissão de arquivo do CAN-2003-0359 que afeta outros pacotes nethack.

Na atual distribuição estável (woody) este problema foi corrigido na versão 1.9.3-7woody3.

Na distribuição instável (sid) este problema foi corrigido na versão 1.9.3-9.

Nós recomendamos que você atualize seus pacotes falconseye.

Corrigido em:

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3.dsc
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3.diff.gz
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3.orig.tar.gz
Componente independente de arquitetura:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye-data_1.9.3-7woody3_all.deb
Alpha:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/f/falconseye/falconseye_1.9.3-7woody3_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.